@font-face{
  font-family: oldstyle1hplhs;
  src: url(/stylesheets/fonts/OldStyle1HPLHS.woff2);
}

@keyframes fade-in{
  0% {opacity: 0;}
  100% {opacity: 1;}
}

*{
  box-sizing: border-box;
  image-rendering: pixelated;
  margin: 0;
  cursor: url(/images/shrines/shesgreen/default-cursor.png), auto;
}

a *, a, button *, button{
  cursor: url(/images/shrines/shesgreen/default-pointer.png), pointer;
}

::selection{
  color: #bdd1ca;
  background: transparent;
}

::-webkit-scrollbar{
  width: 7px;
  height: 7px;
}

::-webkit-scrollbar-track{
  background: transparent;
}
 
::-webkit-scrollbar-thumb{
  border: 2px solid #ffffff;
  border-radius: 3px;
  background: linear-gradient(to bottom, #e0e3e4 0%,#c7d3d5 10%,#b2bec2 25%,#b4c2c6 37%,#b7c5c9 50%,#9cafb4 51%,#c4d3d4 83%,#e0e3e4 100%);
}

::-webkit-scrollbar-thumb:hover{
  background: linear-gradient(to bottom, #eaeaea 0%,#e3e3e3 10%,#d8d8d8 25%,#d9d9d9 37%,#dbdbdb 50%,#cdcdcd 51%,#e2e2e2 83%,#ececec 100%); 
}

#s-m-t-tooltip{
  width: fit-content;
  z-index: 9999;
  font-size: 12px;
  font-weight: bold;
  text-align: center;
  background: #ffffff;
  box-shadow: inset 0 0 2px #9eadac, 1px 1px 0 #7d9795;
  border-radius: 3px;
  margin: 12px 5px 7px 10px;
  padding: 0.5em 0.75em;
}

html{
  box-shadow: inset 0 0 4px 10px #ffffff, inset 0 0 3px 10px #4d6e62;
  outline: 10px solid #ffffff;
  outline-offset: -1px;
  border-radius: 20px;
  min-height: 100vh;
}

body{
  background: linear-gradient(-150deg, rgba(255, 251, 245, 0.8) 0%, transparent 50%), url(/images/shrines/shesgreen/bg.png) center / cover fixed;
  font-family: oldstyle1hplhs;
  font-size: 14px;
  line-height: 1.1;
  word-spacing: 4px;
  color: #7d9795;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
}

.fc, .fr{
  position: relative;
  display: flex;
}

.fc{
  flex-direction: column;
}

.outer{
  position: relative;
  width: fit-content;
  padding: 0 0.5em 0.5em 0.5em;
  border-radius: 12px;
  box-shadow: inset 0 0 3px #7d9795, 2px 2px 2px #9eadac, -1px -1px 0 #ffffff;
  background: linear-gradient(to bottom, #ffffff 0%,#dee4e4 50%,#ced8d7 51%,#ffffff 100%);

  .fr{
    justify-content: space-between;
  }
}

.tab-decor{
  width: 100%;
  border-radius: 8px 20px 20px 3px;
  box-shadow: inset 0 0 3px #7d9795, inset 2px 2px 2px #ffffff;
  background: linear-gradient(to bottom, #e0e9ea 0%,#d8e1e2 10%,#c9d3d5 25%,#cbd5d7 37%,#cdd9db 50%,#bbc9cb 51%,#d7e1e1 83%,#e4eceb 100%);
  margin: 0.5em 0.5em 0.5em 0;
}

.tab-button{
  gap: 0.25em;
  padding: 0.75em 0.25em 0.5em 0.25em;

  button{
    font-size: 12px;
    color: #9eadac;
    padding: 0.35em;
    background-color: #ffffff;
    border: 1px solid #eef3f3;
    border-radius: 50%;
    box-shadow: inset 0 0 2px #9eadac;
    transition: all 0.1s;
  }

  button:active{
    background-color: #bec5c5;
    box-shadow: inset 0 0 2px #7d9795;
    color: #ffffff;
  }
}

section{
  overflow-y: auto;
  text-align: justify;
  background-color: #ffffff;
  border: 1px groove #c1c5c5;
  box-shadow: inset 0 0 1px #9eadac;
  border-radius: 3px 3px 10px 10px;
  padding: 0.75em;
  gap: 1em;

  &::before{
    content: "";
    pointer-events: none;
    background-image: url(/images/other/t-twill-r.png);
    position: absolute;
    z-index: 1;
    inset: 0;
    opacity: 0.06;
  }
}

#about{
  z-index: 2;
  transition: all 0.3s;

  section{
    width: 400px;
    height: 300px;
  }
}

#disco{
  position: absolute;
  z-index: 1;
  top: -125px;
  left: -190px;
  transform: scale(1);
  transition: all 0.3s;

  section{
    width: 300px;
    height: 300px;
  }
}

#disco section{
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 0.75em;
  overflow-y: auto;

  img{
    width: 100%;
    border: 1px dotted #7d9795;
    border-radius: 2px;
    filter: saturate(0.5);
    transition: all 0.3s;
  }

  img:hover{
    transform: rotate(2deg);
    filter: none;
  }
}

#about:hover, #disco:hover{
  z-index: 999;
  transform: scale(1.005);
}

blockquote{
  margin: 0 1em;
  padding: 1em;
  gap: 1em;
  border: dotted #bec5c5;
  border-width: 1px 0;
  border-radius: 5px;
  text-transform: lowercase;
  font-style: italic;
}

cite{
  text-align: right;
}

a{
  font-style: italic;
  color: #6a7c7b;
  text-decoration: 1px underline dotted;
}

a:hover{
  color: #c1c5c5;
}

.decor{
  position: absolute;
  user-select: none;
  pointer-events: none;
  filter: drop-shadow(0 0 3px #ffffff) drop-shadow(1px 1px 0 #4d6e67);
}

#logo{
  position: absolute;
  user-select: none;
  image-rendering: auto;
  z-index: 998;
  top: -85px;
  right: 10px;
  width: 400px;
  transform: rotate(-4deg);
  filter: drop-shadow(0 0 3px #ffffff) drop-shadow(1px 1px 0 #4d6e67);
  transition: all 0.7s;
}

#logo:hover{
  transform: rotate(0deg);
  filter: drop-shadow(0 0 3px #ffffff) drop-shadow(1px 1px 5px #fffbf5) drop-shadow(0 0 0 #4d6e67);
}

#leaf1{
  z-index: -1;
  bottom: 90px;
  right: -110px;
}

#leaf2{
  z-index: 999;
  top: -10px;
  left: -25px;
  transition: all 0.3s;
}

#leaf3{
  z-index: 999;
  bottom: -15px;
  right: -35px;
  transition: all 0.3s;
}

#leaf4{
  z-index: -1;
  bottom: -45px;
  left: -130px;
}

#about:hover #leaf2, 
#about:hover #leaf3,
#about:hover ~ #logo,
#disco:hover ~ #logo{
  opacity: 0.25;
}